Download it now!
Bug 71763 - ACCESSIBILITY: new UI widget layout start center incorrect F6 and F10 key traversal [a11y]
Summary: ACCESSIBILITY: new UI widget layout start center incorrect F6 and F10 key tra...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Tamás Zolnai
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks: Start-Center-Accessibility
  Show dependency treegraph
 
Reported: 2013-11-19 00:52 UTC by V Stuart Foote
Modified: 2016-10-25 19:54 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2013-11-19 00:52:30 UTC
Split from bug 71628

Using Windows 7 sp1 64-bit with NVDA and JAB active
Version: 4.2.0.0.alpha1+
Build ID: f99736820a23cb7e37139607713658dea1c69dd4
TinderBox: Win-x86@42, Branch:master, Time: 2013-11-18_00:10:12

The F6 and F10 keys have reserved special movement rolls in core VCL navigation.
ref: http://opengrok.libreoffice.org/xref/core/vcl/source/app/svapp.cxx

F6 and <Shift> F6 will move from one "subwindow" to the next
F10 will move between the "menubar" and the active "subwindow"

In the StartCenter panel the treatment of containers in the GTK+ based widget UI needs to be restructured to provide F6 navigation between the different "subwindows" (currently0-- Open-Templates : Create New xxx : Help-Extensions : Thunbnail Views-- correct support of these reservedkey keyboard actions are very important to AT implementations, where users depend on their consistent actions.

Similar reserved key keyboard issues affect Template manager and Sidebar.
Comment 1 V Stuart Foote 2013-11-19 15:48:48 UTC
On Fedora 19 64-bit kernel 3.10.11-200.fc19.x86_64
Version: 4.2.0.0.alpha1+
Build ID: f99736820a23cb7e37139607713658dea1c69dd4
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2013-11-17_23:56:22

Verified issues are present on Linux builds of LODev4.2.0alpha1+
Comment 2 Tamás Zolnai 2014-01-16 21:49:45 UTC
Hi Stuart,

  I tried out this F6, Shift+F6 key movements in LO's other components and I think this four subwindows are too much. As I see F6 traversal doesn't touch more element inside one sidebar. So I think F6 (also Shift+F6 in the reverse order)  would make this trip instead: Menu -> Sidebar -> Thumbnail view.
Comment 3 V Stuart Foote 2014-01-16 22:39:49 UTC
Zolnai,
(In reply to comment #2)
>   I tried out this F6, Shift+F6 key movements in LO's other components and I
> think this four subwindows are too much. As I see F6 traversal doesn't touch
> more element inside one sidebar. So I think F6 (also Shift+F6 in the reverse
> order)  would make this trip instead: Menu -> Sidebar -> Thumbnail view.

Menu is the 'File', 'Tools', & 'Help'--right? And by sidebar you mean the 'Open' & 'Templates'/ New: Writer, Calc, Impress, Draw, Math & Base / 'Help' & 'Extensions' GtkBox's.  If so, that sequence would work just as well. As long as the Thumbnail View can be a landing point for F6 navigation--eliminating the 9-10 TAB's that folks are complaining about.

Also, the F6 and F10 are related in that F6 & Shift F6 cycle through menu objects. But F10 will toggle between the active menu, and the main menu bar.

In other words, the menu or panel that has focus (via <TAB> or <F6>) is returned to after a trip to the main menu bar.
Comment 4 Commit Notification 2014-01-31 12:08:04 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5b1e68bd852cac4534c5ce2e548187dce1d4561a

fdo#71763: F6 key moves focus on this trip: Menu -> Sidebar -> Thumbnail view



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 V Stuart Foote 2014-02-01 16:13:06 UTC
All issues verified fixed with commit http://cgit.freedesktop.org/libreoffice/core/commit/?id=5b1e68bd852cac4534c5ce2e548187dce1d4561a

Correct movements between StartCenter panels with F6, <Shift>F6, F10 and <Ctrl>F6 

On Windows 7 sp1, 64-bit

Version: 4.3.0.0.alpha0+
Build ID: a995462e6855061816c6529c366f20ace2b45868
TinderBox: Win-x86@42, Branch:master, Time: 2014-01-31_23:29:34